package cz.hsrs.core;

public class WebServiceException extends RuntimeException {

    private final int code;

    public WebServiceException(int code, String message) {
        super(message);
        this.code = code;
    }

    public WebServiceException(int code, Throwable cause) {
        super(cause);
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
